/ consultoria

pam_mysql com suporte a MD5

Estava configurando o vsftpd para se autenticar no mysql e o pacote do pam_msqyl no Debian/Ubuntu não tem suporte ao MD5 o jeito foi compilar na mão a nova versão.

  • apt-get build-dep libpam-mysql
  • aptitude install libssl-dev
  • ./configure –with-openssl=/usr/
  • make
  • make install

pronto você tera o pam_mysql com suporte ao MD5. O arquivo do /etc/pam.d/vsftpd ficara agora com o seguinte conteúdo:

auth required pam_mysql.so user=** passwd=** host=localhost db=mailserver table=view_users usercolumn=email passwdcolumn=password crypt=3  
account required pam_mysql.so user=** passwd=** host=localhost db=mailserver table=view_users usercolumn=email passwdcolumn=password crypt=3

Um bom tutorial completo Link